module Panda.View.Theme.BluePrint.Sidebar where

import Panda.Helper.Env
import Prelude hiding ((.), (/), id, span)
import Panda.Config.Global as Config
import qualified Panda.Type.State as State
import Text.XHtml.Strict

import qualified Data.Set as Set

-- model
import Panda.Model.Tag as Tag

html_sidebar state = 
  div_class_id "column span-3 last" "sidebar" << unordList
    [ feed
    , [hr]
    , tag_list $ state.State.tags
    ]

feed = 
  [ h2 << "Keep Update"
  , p ! [theclass "small"] << rss_link
  ]

rss_link = hotlink "/rss.xml" << 
  [ -- image ! [src "/image/feed.png", alt "feed link", height "15", width "15"]
    "Subscribe to Feed" ]
    
tag_list tags = 
  [ h2 << "Tags"
  , unordList $ tags.Tag.sorted.map tag_link]
  
tag_link x = hotlink ("/" ++ x.uid) << x.Tag.name +++ (" (" ++ x.Tag.resources.Set.size.show ++ ")")